> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8a08bda2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> System table containing a list of user accounts configured on the server.

# system.users

<h2 id="description">
  Description
</h2>

Contains a list of [user accounts](/concepts/features/security/access-rights#user-account-management) configured on the server.

<h2 id="columns">
  Columns
</h2>

* `name` ([String](/reference/data-types)) — User name.
* `id` ([UUID](/reference/data-types)) — User ID.
* `storage` ([String](/reference/data-types)) — Path to the storage of users. Configured in the access\_control\_path parameter.
* `auth_type` ([Array(Enum8('no\_password' = 0, 'plaintext\_password' = 1, 'sha256\_password' = 2, 'double\_sha1\_password' = 3, 'ldap' = 4, 'kerberos' = 5, 'ssl\_certificate' = 6, 'bcrypt\_password' = 7, 'ssh\_key' = 8, 'http' = 9, 'jwt' = 10, 'scram\_sha256\_password' = 11, 'no\_authentication' = 12))](/reference/data-types)) — Shows the authentication types. There are multiple ways of user identification: with no password, with plain text password, with SHA256-encoded password, with double SHA-1-encoded password or with bcrypt-encoded password.
* `auth_params` ([Array(String)](/reference/data-types)) — Authentication parameters in the JSON format depending on the auth\_type.
* `valid_until` ([Array(DateTime)](/reference/data-types)) — The expiration date and time for user credentials.
* `host_ip` ([Array(String)](/reference/data-types)) — IP addresses of hosts that are allowed to connect to the ClickHouse server.
* `host_names` ([Array(String)](/reference/data-types)) — Names of hosts that are allowed to connect to the ClickHouse server.
* `host_names_regexp` ([Array(String)](/reference/data-types)) — Regular expression for host names that are allowed to connect to the ClickHouse server.
* `host_names_like` ([Array(String)](/reference/data-types)) — Names of hosts that are allowed to connect to the ClickHouse server, set using the LIKE predicate.
* `default_roles_all` ([UInt8](/reference/data-types)) — Shows that all granted roles set for user by default.
* `default_roles_list` ([Array(String)](/reference/data-types)) — List of granted roles provided by default.
* `default_roles_except` ([Array(String)](/reference/data-types)) — All the granted roles set as default excepting of the listed ones.
* `grantees_any` ([UInt8](/reference/data-types)) — The flag that indicates whether a user with any grant option can grant it to anyone.
* `grantees_list` ([Array(String)](/reference/data-types)) — The list of users or roles to which this user is allowed to grant options to.
* `grantees_except` ([Array(String)](/reference/data-types)) — The list of users or roles to which this user is forbidden from grant options to.
* `default_database` ([String](/reference/data-types)) — The name of the default database for this user.

<h2 id="see-also">
  See also
</h2>

* [SHOW USERS](/reference/statements/show#show-users)
